# $Date: 1996/02/22 07:52:39 $  $Author: heino $  $Revision: 1.2 $ #
#
|
| Library-Routine plot3d().
|
|
|
| Diese Datei enth"alt die Library-Routinen plot3d(),
| die notwendig sind, um die verschiedenen im Hand-
| buch aufgelisteten Grafikbefehle zu vereinbaren.
| Die Argumente dieser Befehle werden so ge"andert,
| dass die Kernroutine plot() die richtigen Werte an
| das Grafiktool liefert.
|
|
|
| Autor: Thorsten Schulze
|
| letzte "Anderung : 26.1.93
|
#






plot3d := proc()
#
| Dieses ist die Library-Routine plot3d().
| Sie ist notwendig, um aus einen plot3d-Aufruf
| einen plot-Aufruf zu formen. Das einzige, was
| geschieht, ist das zus"atzlich die Option
| Dimension = 3 "ubergeben wird, um die Dimension
| der Szene richtig zu setzen.
#

local s, DIGITS;

begin
  DIGITS := 10:
  #
  | Falls keine Argumente "ubergeben wurden, wird 
  | nur plot(); aufgerufen.
  #

  if args(0) = 0
  then
    plot(Dimension=3);
  else
    #
    | Hier muss geprueft werden, ob args eine leere Liste ist.
    #
    if type(args(1)) = DOM_LIST and nops(args(1)) = 0 then
        error("Illegal argument"):
    end_if:
    
    #
    | Sonst wird der plot3d-Befehl in einen plot-Befehl
    | umgewandelt, wobei die zus"atzliche Option 
    | Dimension = 3 eingef"ugt wird.
    #

    s := Dimension = 3;
    s := s, args():
    
    #
    | Aufruf der Kernroutine plot mit den Argumenten
    #

    plot(s):
  end_if:
end_proc:

